Retrieve next steps for entity in Scorecard
curl --request GET \
--url https://api.getcortexapp.com/api/v1/scorecards/{tag}/next-steps \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getcortexapp.com/api/v1/scorecards/{tag}/next-steps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getcortexapp.com/api/v1/scorecards/{tag}/next-steps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"nextSteps": [
{
"rulesToComplete": [
{
"expression": "<string>",
"description": "<string>",
"identifier": "<string>",
"title": "<string>"
}
],
"currentLevel": {
"level": {
"name": "Bronze",
"number": 123
}
},
"nextLevel": {
"level": {
"name": "Bronze",
"number": 123
}
}
}
]
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"status": 429,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>",
"retryAfter": 1
}Retrieve next steps for entity in Scorecard
GET
/
api
/
v1
/
scorecards
/
{tag}
/
next-steps
Retrieve next steps for entity in Scorecard
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Path Parameters
Unique tag for the Scorecard
Query Parameters
The entity tag (x-cortex-tag) that identifies the entity.
Response
Any rules remaining for the entity to reach the next level in the Scorecard.
Show child attributes
Show child attributes
Last modified on September 29, 2026